\chapter{Problem solving and still-open problems}
\label{ch:Problem solving}
In this chapter the brave readers will run into some problems and questions already solved, which can help them develop the basic mathematical reasoning to solve more problems. Moreover as mathematics is a scientific field that is still alive, it has a great tank full of still-open problems \ldots with no solution at all! Keep reading and submit your answer to \cite{Millennium_Prize_Problems_Wikipedia}: you can be awarded 1.000.000\$!

\section{$a = 2^n\cdot3^m$}
\label{sec:a23n}
Find
$$\sum a \in \mathbb{N} \text{ such that}$$
$$\begin{cases}
a = 2^n \cdot 3 ^m\\
n,m \in \mathbb{N}\\
a ^ 6 \nmid 6 ^ a\\
\end{cases}$$

\begin{solution}
Simply substituting in the given equation gives us that
$$a^6 | 6^a \iff 2^{6n}\cdot3^{6m} | 2^{2^n\cdot3^m}\cdot3^{2^n\cdot3^m}$$
but $$a ^ 6 \nmid 6 ^ a \implies 6n > 2^n \cdot 3^m \vee 6m > 2^n\cdot 3^m$$
So let's get through some numbers
$$\begin{cases}
m = 0 \implies n = 1,2,3,4\\
m = 1 \implies n = 0\\
m = 2 \implies n = 0\\
m \ge 3 \implies \nexists n \in \mathbb{N}\\
\end{cases}$$
So all couples $(m,n)$ are $(0,1), (0,2), (0,3), (0,4), (1,0) \text{ and} (2,0)$ and thus all possible $a \text{ are } 2,4,8,16,3,9$ which gives as sum $42$, the answer to everything!
\end{solution}

\section{Mathematics Stack Exchange full immersion}
\label{sec:Mathematics Stack Exchange full immersion}
This is a collection of the most interesting questions posted in \cite{Mathematics_Stack_Exchange}.

\subsection{2 mod 3}
\label{subsec:2-mod-3-mse}
Prove that each integer $\hyperref[sec:A note on notations (cit.)]{\equiv} 2 \mod 3$ has a prime factor $\equiv 2 \mod 3$.

\subsection{Powers}
\label{subsec:powers-mse}
Prove $$(a^3+b^3)^4=c^3+d^3 \implies a^4c+b^4d\ge cd \forall a,b,c,d \in \mathbb{R}^+$$
\begin{proof}
Using \cite{Hxc3Xb6Lder_Inequality_Wikipedia} we get
$$
\begin{aligned}
a^3+b^3 &\leq \left( (a^3c^{\frac{3}{4}})^{\frac{4}{3}}+(b^3d^{\frac{3}{4}})^{\frac{4}{3}} \right)^{\frac{3}{4}}\left( \left(\frac{1}{c^{\frac{3}{4}}}\right)^4+\left(\frac{1}{d^{\frac{3}{4}}}\right)^4 \right)^{\frac{1}{4}}\ \implies\\
(a^3+b^3)^4 &\leq \left( \left( (a^3c^{\frac{3}{4}})^{\frac{4}{3}}+(b^3d^{\frac{3}{4}})^{\frac{4}{3}} \right)^{\frac{3}{4}}\left( \left(\frac{1}{c^{\frac{3}{4}}}\right)^4+\left(\frac{1}{d^{\frac{3}{4}}}\right)^4 \right)^{\frac{1}{4}} \right) ^ 4\\
&=(a^4c+b^4d)^3\frac{c^3+d^3}{c^3d^3}\ \implies\\
a^4c+b^4d &\geq \left(\frac{(a^3+b^3)^4c^3d^3}{c^3+d^3} \right)^{\frac{1}{3}}\\
&=cd
\end{aligned}
$$
\end{proof}

\subsection{Maximum value}
\label{subsec:max-value-mse}
Let $a,b,c > 0$. Find the maximum value of
$$\dfrac{4}{\sqrt{a^2+b^2+c^2+4}}-\dfrac{9}{(a+b)\sqrt{(a+2c)(b+2c)}}$$
\begin{solution}
By \hyperref[sec:A note on notations (cit.)]{\textbf{AM-GM}} we have
$$
\begin{aligned}
(a+b)\sqrt{(a+2c)(b+2c)}& \le (a+b)\frac{a+b+4c}2\\
&= \frac{a^2}2 + \frac{b^2}2+ab+2ac+2bc\\
&\le 2(a^2+b^2+c^2)
\end{aligned}
$$
where there is equality $\iff a=b=c$. So let $s=a^2+b^2+c^2$. Then we have
$$\dfrac{4}{\sqrt{a^2+b^2+c^2+4}}-\dfrac{9}{(a+b)\sqrt{(a+2c)(b+2c)}} \le \frac4{\sqrt{s+4}}- \frac9{2s}$$
Using \cite{One_Variable_Calculus}, we can find the derivative condition for maximizing the \textit{RHS}
$$16s^4=81(s+4)^3$$
that is is equivalent to $(s - 12)(16s3+111s2+360s+432)=0$, where the cubic factor cannot have any positive roots by the rule of signs. Hence the maximum value for positive $s$ must be only when $s=12$. Thus $a=b=c=2$ at the maximum, and the maximum is $\boxed{58}$.
\end{solution}

\subsection{Little Fermat}
\label{subsec:little-fermat-mse}
Prove $$a^n+b^n+c^n=0 \implies abc=0, \forall a,b,c\in\mathbb{Q} \wedge n \ge 3$$
\begin{proof}
By absurd assume that $a,b,c \neq 0$:
\begin{itemize}
\item if $n$ is even, $a^n,b^n,c^n > 0$. Absurd.
\item if $n$ is odd, \textit{LHS} can be changed to $a^n+b^n=( - c)^n$. Then it takes the same form as \cite{Fermat_Last_Theorem}.
\end{itemize}
So, statement $a,b,c \neq 0$ is false, hence at least one among $a,b,c$ equals $0 \implies abc=0$.
\end{proof}

\subsection{Students}
\label{subsec:students-mse}
Suppose there are $n$ students. Each student must choose $4$ courses, and every two students can only have a maximum of one common course. How many courses are needed to satisfy this condition?\\
\begin{solution}
Starting with $n=1$, the pattern is $4,7,9,10,10,11,12 \ldots$. Have an answer? Post it in \cite{Combinations_Course_Choosing_Mathematics_Stack_Exchange}!
\end{solution}

\subsection{Function moduli}
\label{subsec:function-moduli-mse}
Let $f:\mathbb{R}\to\mathbb{R}$ satisfying $|f(x+y)-f(x-y)-y| \forall x,y, \in \mathbb{R}$. Prove that $f(x)={x\over2}+c, c \in \mathbb{R}$.\\
\begin{proof}
Set $x-y = z$ and $2y=h$ and let $\epsilon > 0$ be given; then
$$\bigg|\dfrac{f(z+ h) - f(z)}{h} - \dfrac{1}{2} \bigg| \le \dfrac{h^2}{4}$$
so $|h| < 2 \sqrt{\epsilon} \implies \bigg|\dfrac{f(z+ h) - f(z)}{h} - \dfrac{1}{2}\bigg | < \epsilon \implies \exists f'(z) \wedge f'(z) = \frac{1}{2}$
So by integrating we get $$f(x) = \int \frac{1}{2} \diff x = \frac{x}{2} + \hyperref[sec:A note on notations (cit.)]{cost.}$$
\end{proof}

\subsection{Polynomials}
\label{subsec:polinomials-mse}
Let $p(x), q(x)$ be distinct polynomials with real coefficients such that the sum of the coefficients of both polynomials equals $\mathcal{S}$. Prove

$$(p(x))^3 - (q(x))^3=p(x^3) - q(x^3) \implies$$

\begin{enumerate}
\renewcommand{\theenumi}{\alph{enumi}}
\item $p(x)-q(x)=(x-1)^a \cdot r(x)$ for some integer $a \ge 1$ and a polynomial $r(x)$ with $r(1)\neq 0$
\item $\mathcal{S}^2=3^{a-1}$
\end{enumerate}
\begin{proof}
Since $p(1)=q(1)=\mathcal{S}, x=1$ is a root of $p(x)-q(x)$. Hence, one can write
$$p(x)-q(x)=(x-1)^a r(x),\ a\ge 1$$
where $r(x)$ is a polynomial with $r(1)\neq 0$. Now, from the given condition we can write, using this form of $p(x)-q(x)$
$$
\begin{aligned}
(x-1)^a r(x)(p^2(x)+q^2(x)+p(x)q(x)) &=(x^3-1)^a r(x^3)\ \implies\\
r(x)(p^2(x)+q^2(x)+p(x)q(x))&=(x^2+x+1)^ar(x^3)
\end{aligned}
$$
Substituting $x=1$ in both the sides, and canceling $r(1)$ since $r(1)\neq 0$
$$
\begin{aligned}
(p^2(1)+q^2(1)+p(1)q(1))&=3^a\\
&\implies 3\mathcal{S}^2=3^a\\
&\implies \mathcal{S}^2=3^{a-1}
\end{aligned}
$$
\end{proof}

\subsection{(A) Fibonacci conjecture}
\label{subsec:fibonacci-conjecture-mse}
\begin{conjecture}
There is only one Fibonacci number that is the sum of two (positive) cubes: $2$
\end{conjecture}
\begin{solution}
A small brute force test with Fibonacci numbers below $10^{21}$ reveals no other Fibonacci number satisfy this condition. If you have a proof, \href{http://math.stackexchange.com/questions/789588/conjecture-only-one-fibonacci-number-is-the-sum-of-two-cubes}{post it}!
\end{solution}

\subsection{Boxes and items}
\label{subsec:boxes-and-items-mse}
I have $8$ boxes and $60$ items: how many ways can I fill the boxes so that
\begin{enumerate}
\renewcommand{\theenumi}{\alph{enumi}}
\item the order of the items in each box does not matter
\item it does not matter which boxes are filled with which items. In other words $600000000$ is the same as $060000000$. In other words if we have a combination and we swap the items in $2$ of the boxes it will still count as one variation.
\end{enumerate}
\begin{solution}
Assume that the $n=60$ items are distinct, while the $k=8$ boxes are indistinguishable the number of ways taking into account the order of the boxes that use $m$ specific boxes (the rest being empty) is $\binom{m}{0} m^n - \binom{m}{1} (m-1)^n + \binom{m}{2} (m-2)^n - \ldots \binom{m}{m} 0^n$ by \cite{Inclusion_Exclusion_Principle}, and permuting those $m$ boxes shows that exactly $m!$ of those ways correspond to each way that uses the same $m$ boxes but where the order of the boxes is irrelevant. Thus the number of ways for the original problem that use exactly $m$ boxes is $\dbinom{n}{m} \dfrac{\sum_{i=0}^m \binom{m}{i} (m-i)^n (-1)^i}{m!}$. Then the answer can be obtained by summing that for all $m$ from $1$ to $k$.
\end{solution}

\subsection{1999-term sum}
\label{subsec:1999-term-sum-mse}
Find the following sum
$$\sum_{k=0}^{999} = \frac{1}{1999}\binom{1999}{0}-\frac{1}{1998}\binom{1998}{1}+\ldots-\frac{1}{1000}\binom{1000}{999}$$
\begin{solution}
\href{https://en.wikipedia.org/wiki/Chebyshev_polynomials}{Chebyshev polynomials} of the first kind are given by
$$
\begin{aligned}
T_{n}(x) &= \frac{n}{2} \sum_{k=0}^{[n/2]} \frac{(-1)^{k}}{n-k} \binom{n-k}{k} (2x)^{n-2k} \\
&= \frac{1}{2} \left[ (x - \sqrt{x^{2}-1})^{n} + (x - \sqrt{x^{2}-1})^{n} \right].
\end{aligned}
$$
and when $x=\frac{1}{2}$ it is seen that
$$\sum_{k=0}^{\lfloor \frac{n}{2} \rfloor} \frac{(-1)^{k}}{n-k} \binom{n-k}{k} = \frac{1}{n} \left( a^{n} + b^{n} \right)$$
where $2a=1+3\sqrt{i}$ and $2b=1-3\sqrt{i}$. When $n=1999$ this becomes
$$\sum_{k=0}^{999} \frac{(-1)^{k}}{1999-k} \binom{1999-k}{k} = \frac{1}{1999} \left( a^{n} + b^{n} \right)$$
If the sum is changed to all positive terms it can easily be seen as a \hyperref[sec:Lucas numbers]{Lucas number}, namely
$$\sum_{k=0}^{999} \frac{1}{1999-k} \binom{1999-k}{k} = \frac{L_{1999}}{1999}$$
\end{solution}

\subsection{2010 balls}
\label{subsec:2010-balls-mse}
We are given 2010 numbered balls and 2 urns. Firstly, we throw a symmetric coin 2010 times. If at the $i-$th throw we get heads, we place the $i-$th ball in the first urn. If we get tails, we place it in the second urn. Then we randomly pick a number $1 \ldots 2010$ and we place the ball with this number in the other urn. That is, if at the first stage the $i-$th ball was in the first urn and we have now picked number $i$, we take the out and place it in the second urn. For what $k\in {0,\ldots ,2010}$ is the probability that before the transfer there are $k$ balls in the first urn bigger than after the transfer?
\begin{solution}
Since the placement process is precisely equivalent to that of choosing a uniform number $i$ from 1 to 2010, then placing all balls other than $i$ into urn $A$ on heads and urn $B$ on tails, but placing ball $i$ into urn $A$ on tails and urn $B$ on heads. Since the probabilities of heads and tails are equal, we could notice that the before and after probabilities are equal for any $k$. So the answer is, no values of $k$ give you higher after probability.
But let's say you didn't notice this semi-clever way of looking at it, and wanted to tackle the problem head-on.\\
For this sort of problem I always start by looking at an extreme case, to see if it gives me some insight. Take $k=0$ is the probability of 0 balls in urn $A$ before the transfer bigger or smaller than after the transfer? Well, we know how to get 0 balls before the transfer $P = 2^{-N} \binom{N}{0} = 2^{-2010}$. and to get 0 balls after the transfer there needed to be 1 ball before the transfer and we needed to get lucky, moving that ball out instead of one of the 2009 balls in $P = 2^{-N} \binom{N}{1} \frac{1}{N} = 2^{-N} \frac{N}{N}$. So we see that for $k=0$ the probabilities are equal, but more importantly, we see how to express the "after" probability. the next step is to generalize that:
$$
\begin{aligned}
&P_{\mbox{before}}(k) = 2^{-N} \binom{N}{k} \\
&P_{\mbox{after}}(k) = P_{\mbox{before}}(k-1)\frac{N-(k-1)}{N} + P_{\mbox{before}}(k+1)\frac{k+1}{N} \\
&P_{\mbox{after}}(k) = 2^{-N} \left[ \binom{N}{k-1} \frac{N-k+1}{N} 
+ \binom{N}{k+1} \frac{k+1}{N}
\right]
\end{aligned}
$$
The third step is to do the math for the comparison. Taking out the common factor $2^{-n}$ we see that the after probability is greater if
$$\binom{N}{k-1} \frac{N-k+1)}{N} + \binom{N}{k+1} \frac{k+1)}{N} > \binom{N}{k}$$
And we can factor out $\binom{N}{k}$ because it is easy to write the neighboring binomial coefficients in terms of $\binom{N}{k}$.
\end{solution}

\subsection{Trigonometry}
\label{subsec:trigonometry-mse}
\href{http://math.stackexchange.com/questions/1087805/solve-sin-frac-alpha-beta2-sin-frac-alpha-gamma2-sin-frac3}{Solve} for $\alpha$
$$\sin \frac{\alpha - \beta}2 + \sin \frac{\alpha - \gamma}2 + \sin \frac{3\alpha}2 =\frac 3 2$$
\begin{solution}
We can get rid of $\alpha$, to start off, by writing $\alpha - \beta=\pi - 2 \beta - \gamma$ and, similarly, $\alpha - \gamma=\pi - \beta - 2\gamma$. From this, we have

$$
\begin{aligned}
\sin \left( \frac{\alpha - \beta}{2} \right)&=\sin \left( \frac{\pi}{2} - [\beta + \frac{\gamma}{2}] \right)\\
&=\cos \left(\beta + \frac{\gamma}{2}\right)
\end{aligned}
$$

and
$$\sin \left( \frac{\alpha - \gamma}{2} \right)=\cos \left(\frac{\beta}{2} + \gamma\right)$$

We will also write

$$
\begin{aligned}
\sin \frac{3 \alpha}{2} &=\sin \left( \frac{3}{2} [ \pi - \beta - \gamma ] \right)\\
&=\sin \left( \frac{3 \pi}{2} -\frac{3}{2} [\beta + \gamma ]\right)\\
&=-\cos \left( \frac{3}{2} [\beta + \gamma ]\right)\\
\end{aligned}
$$

The original equation is now 

$$
\cos \left(\beta + \frac{\gamma}{2}\right)+\cos \left(\frac{\beta}{2} + \gamma\right)-\cos \left( \frac{3}{2} [\beta + \gamma ]\right)=\frac{3}{2}
$$

Applying a \textit{sum-to-product rule} on the first two terms here gives

$$
2\cos \left( \frac{3}{4} [\beta + \gamma ]\right) \cos \left( \frac{1}{4} [\beta - \gamma ] \right) -\cos \left( \frac{3}{2} [\beta + \gamma ]\right)=\frac{3}{2}
$$

This seemingly doesn't appear to have done much of anything useful, but it turns out we've actually finished the \textit{hard part} \ldots We will label the angles $\Theta=\frac{3}{4} [\beta + \gamma ]$and$\Phi=\frac{1}{4} [\beta - \gamma ]$, allowing us to write

$$
\begin{aligned}
2\cos \Theta \cos \Phi-\cos( 2 \Theta  ) &= \frac{3}{2}\\
&\implies 2\cos \Theta \cos \Phi-2\cos^2 \Theta+1=\frac{3}{2}\\
&\implies \cos \Theta \cos \Phi-\cos^2 \Theta=\frac{1}{4}
\end{aligned}
$$

Now, if$\beta=\gamma$, then $\Phi=0$ and we just have the quadratic equation in$\cos \Theta$, 

$$
\begin{aligned}
\cos^2 \Theta-\cos \Theta+\frac{1}{4} &= \left( \cos \Theta-\frac{1}{2} \right)^2\\
&=0
\end{aligned}
$$

Since we are limiting ourselves to angles of a triangle, we obtain

$$
\begin{aligned}
\cos \left( \frac{3}{4} [\beta + \gamma ]\right) &=\frac{1}{2}\\
&\implies\frac{3}{4} [\beta + \gamma ]=\frac{\pi}{3}\\
&\implies\beta+\gamma =\frac{4 \pi}{9}
\end{aligned}
$$

Thus

$$\beta=\gamma=\frac{2 \pi}{9}\ \Rightarrow\ \alpha=\frac{5 \pi}{9}$$

Are other solutions permissible? If we allow $\beta\neq\gamma$and call$ \cos \Phi=\varphi$, our quadratic equation becomes
$$\cos^2 \Theta-\varphi\cos \Theta+\frac{1}{4} =0$$
which has \textit{potential solutions}

$$
\cos \Theta=\frac{\varphi\pm\sqrt{\varphi^2-1 }}{2}
$$

\textbf{But} real solutions for $\cos \Theta$ would \textit{only} be possible here for $\varphi=\cos \Phi\ge1$. So the only solution for our original equation is the one we've already found with $\varphi=1$ or $\beta=\gamma$.
\end{solution}

\section{No integer solutions}
\label{sec:No integer solutions}
Show that $\dfrac{2^a +1}{2^b -1}$ has no integer solutions $\forall b > 2$.\\
\begin{proof}
First $a>b$ otherwise
$$2^a+1<2^b-1 \implies 0< \dfrac{2^a +1}{2^b -1} < 1 \notin \Bbb{Z}$$
then you can write
$$\frac{2^a +1}{2^b -1} = \frac{2^{a-b}(2^b-1)+2^{a-b}+1}{2^b -1} = 2^{a-b}+\frac{2^{a-b}+1}{2^b-1}=2^{a-b}+\frac{2^c +1}{2^b -1}$$
rewrite the numerator and you get
$$\frac{2^a +1}{2^b -1} =2^{a-b}+\frac{2^c +1}{2^b -1} = \ldots = 2^{a-b}+2^{c-b}+2^{d-b}+\ldots + \frac{2^x +1}{2^b -1}$$
with $x < b$. But $x<b \implies \frac{2^x +1}{2^b -1} \notin \Bbb{Z} \implies$
$$2^{a-b}+2^{c-b}+2^{d-b}+\ldots + \frac{2^x +1}{2^b -1} = \frac{2^a +1}{2^b -1} \notin \Bbb{Z}$$
\end{proof}

\section{Wanted: all pairs}
\label{sec:Wanted: all pairs}
Find all pairs of positive integers $(x,y)$ such that
$$x^x+x=y!$$
\begin{solution}
There are no other such pair of integers for $x>2$, and the only solution are $(1,2)$ and $(2,3)$. Let's brake the problem in cases:
\begin{enumerate}
\item $x$ is not a prime
\begin{itemize}
\item $x^x \geq x! \implies x^x+x>x!$ therefore $y>x$
\item $x^x+x$ is divisible by $x$ exactly once, because $x \nmid \frac{x^x+x}{x}=x^{x-1}+1$, but since $x$ is not prime $\forall y > x$ that we choose $y!$ is divisible by $x$ at least twice
\end{itemize}
\item $x$ is a prime such that $x \equiv 1 \mod 6 \lor x \equiv 5 \mod 6$, then let's analyze $x^{x-1}+1$. $x^K \equiv 1 \bmod 6$ for every non-negative integer $K$ so $x^{x-1} \equiv 1 \mod 6$ (since $x-1$ is a non-negative integer) $\implies x^{x-1}+1 \equiv 2 \mod 6$ but $3 \nmid x^{x-1}+1$, hence no $\nexists y > 2 | x^x+x=y!$
\item $x=3 \implies x^x+x = 30$ and $\nexists y | y! = 30$
\end{enumerate}
\end{solution}

\section{$\boxed{e^\pi > \pi ^ e}$}
\label{sec:epi-pie}
Proved by Fouad Nakhli this simple and concise inequality is not much easy, but the brave reader will find it challenging.\\
\begin{proof}
$$
\begin{aligned}
e^\pi &> \pi ^ e \\
&\iff \ln(e^\pi) > \ln(\pi ^ e)
\end{aligned}
$$
because $\ln(x)$ is strictly \href{https://en.wikipedia.org/wiki/Monotonic_function}{monotonic} in $\mathbb{R}$, then, if we simplify
$$
\begin{aligned}
&\iff \pi > e \ln(\pi)\\
&\iff \frac{1}{e} > \frac{\ln(\pi)}{\pi}\\
&\iff \frac{\ln(e)}{e} > \frac{\ln(\pi)}{\pi}
\end{aligned}
$$
which is easily proved by taking a look at the graph of the function.\\
So
$$\frac{\ln(e)}{e} > \frac{\ln(\pi)}{\pi} \implies e^\pi > \pi ^ e$$
\end{proof}

\section{Representing a number as a sum of at most k squares}
\label{sec:Representing a number as a sum of at most k squares}
Fix an integer $k>0$ and would like to know the maximum number of different ways that a number n can be expressed as a sum of $k$ squares, \ie{}. the number of integer solutions to
$$n = x_1^2 + x_2^2 + \dots + x_k^2$$
with $x_1 \ge x_2 \ge \dots \ge x_k$ and $x_i > 0 \forall i$.\\
\begin{solution}
This is an example of \cite{Waring_Problem}. When k $\ge$ 5, the number of ways to write $n$ as the sum of $k$ squares of positive integers is
$$\boxed{\hyperref[sec:A note on notations (cit.)]{\sim} \frac{\hyperref[sec:A note on notations (cit.)]{\Gamma}(3/2)^k}{\Gamma(k/2)}n^{k/2-1} S(n)}$$
where $S(n) = S_k(n)$ is \cite{Singular_Series_From_Wolfram_Mathworld}.
\end{solution}

\section{Odd, no zeros!}
\label{sec:Odd, no zeros!}
$$\text{Let } p(x) \text{ be a polynomial with integer coefficients satisfying } p(0) \text{ and } p(1) \text{ are odd.}$$
$$\text{Show that } p \text{ has no integer zeros}$$
\begin{solution}
An integer coefficient polynomial has an integer polynomial roots $n \iff n$ is a root $\mod 2$, \ie{}.  $p(n) \equiv 0 \mod 2$. So, if a polynomial has no roots $\mod 2$ then it has no integer roots.This leads to the following parity root test.
\end{solution}

\begin{thm}
A polynomial $p(x)$ with integer coefficients has no integer roots if its constant coefficient and coefficient sum are both odd.
\end{thm}

\begin{proof}
The test verifies that  $p(0) \equiv p(1) \equiv 1 \mod 2$,  \ie{}. $p(x)$ has no roots modulo 2, hence no integer roots.\\
$a\cdot x^2+b\cdot x+c$  has no integer roots if $c$ is odd and $a,b$ have equal \href{https://en.wikipedia.org/wiki/Parity_(mathematics)}{parity}.
\end{proof}

\section{Tricky and unusual}
\label{sec:Tricky and unusual}
Extremely rare and quite difficult to prove is the following inequality valid $\forall x,y \in \mathbb{R}^+ | x^2+y^2 \ge 2$
$$x^2 \cdot y^2 \cdot (x^2 + y^2 -2) \ge (x+y)\cdot (xy -1)$$
The proof is left to the reader as exercise.

\section{$6|n$}
\label{sec:6|n}
Let
$$\begin{cases}
x^2+mx+n = 0\quad \quad (1)\\
x^2+mx-n = 0\quad \quad (2)\\
m,n, x \in \mathbb{Z}
\end{cases}$$
and prove that $6|n$.\\
\begin{proof}
$a=\hyperref[sec:A note on notations (cit.)]{\triangle}_{1} = \sqrt{m^2 - 4n}$ and $b =\triangle_{2} = \sqrt{m^2 + 4n}$ must be integers, then $2m^2 = a^2 + b^2$, but the last equation shows us that it is a \cite{Pythagorean_Triplet}. So all the solutions are
$$\begin{cases}
a = x^2 + 2xy - y^2\\
b = y^2  +2xy -x^2\\
m = x^2 + y^2\\
x,y, \in \mathbb{N}
\end{cases}$$
Hence
$$4n = m^2 - a^2 = 4(xy)(x-y)(x+y) \implies 6 | n$$
\end{proof}

\section{Integrals}
\label{sec:Integrals}

\subsection{Trigonometry}
\label{subsec:trigonometry-int}
$$\int (x^2+y^2)^{-\frac{3}{2}} \diff x$$
\begin{solution}
Let $x = y\tan t \implies \diff x = y \sec ^2 t \ dt$
$$
\begin{aligned}
& \int (x^2+y^2)^{-\frac{3}{2}} \diff x = \int \frac{\diff x}{\sqrt{(x^2 + y^2)^3}} \diff x\\
&= \int \frac{y \sec ^2 t}{\sqrt{(y^2 \tan ^2 t + y^2)^3}} \ dt = \int \frac{y \sec ^2 t}{y^3 \sec ^3 t} \ dt = \frac{1}{y^2} \int \frac{1}{\sec t} \ dt\\
&=\frac{1}{y^2} \int \cos t \ dt = \frac{1}{y^2} \sin t + \hyperref[sec:A note on notations (cit.)]{cost.}\\
&= \frac{x}{y^2\sqrt{x^2+y^2}} + cost.
\end{aligned}
$$
\end{solution}

\subsection{Evens}
\label{subsec:evens-int}
$$\int_0^1 \sqrt{-x^6+x^4-x^2+1} \diff x$$
\begin{solution}
$$
\begin{aligned}
&\int_0^1 \sqrt{-x^6+x^4-x^2+1} \diff x\\
&=\int_0^1\sqrt{x^4(1-x^2)+1-x^2} \diff x\\
&=\int_0^1\sqrt{(1-x^2)(x^4+1)} \diff x\\
&=\int_0^\frac{\pi}{2}\sqrt{(1-\sin^2x)(\sin^4x+1)} \ d(\sin x)\\
&=\int_0^\frac{\pi}{2}(\cos^2x)\sqrt{\sin^4x+1} \diff x\\
&=\int_0^\frac{\pi}{2}(\cos^2x)\sqrt{\sin^4x+1} \diff x\\
&=\int_0^\frac{\pi}{2}(1-\sin^2x)\sqrt{\sin^4x+1} \diff x\\
&=\int_0^\frac{\pi}{2}\sum\limits_{n=0}^\infty\dfrac{(-1)^n(2n)!\sin^{4n}x}{4^n(n!)^2(1-2n)} \diff x-\int_0^\frac{\pi}{2}\sum\limits_{n=0}^\infty\dfrac{(-1)^n(2n)!\sin^{4n+2}x}{4^n(n!)^2(1-2n)} \diff x\\
&=\sum\limits_{n=0}^\infty\dfrac{(-1)^n(4n)!\pi}{2^{6n+1}(n!)^2(2n)!(1-2n)}-\sum\limits_{n=0}^\infty\dfrac{(-1)^n(4n+2)!\pi}{2^{6n+3}(n!)^2(2n+1)!(1-4n^2)}\\
\end{aligned}
$$
And yes, that is the final answer, after applying \cite{Walli_Techniques_Of_Integration}.
\end{solution}

\subsection{Arctan}
\label{subsec:arctan-int}
$$\int_0^{\frac{\pi}{4}}{\,x}{\,\arctan\sqrt{\frac{\cos2x}{2\sin^2x}}} \diff x$$
\begin{solution}
$$
\begin{aligned}
&\int_0^{\frac{\pi}{4}}{\,x}{\,\arctan\sqrt{\frac{\cos2x}{2\sin^2x}}}\diff x\\
&=\int_0^{\pi/4} x\arccos(\sqrt{2}\sin x)\diff x\\
&=\left( \frac{x^2\arccos(\sqrt{2}\sin x)}{2} \right|_0^{\pi/4}+\frac{1}{2}\int_0^{\pi/4} \frac{x^2\left(\sqrt{2}\cos x\right)}{\sqrt{1-2\sin^2x}}\diff x\\
\end{aligned}
$$
The first term is zero and with the substitution $2\sin (2x) = \sin (2 \theta )$, so
$$
\begin{aligned}
&\int_0^{\frac{\pi}{4}}{\,x}{\,\arctan\sqrt{\frac{\cos2x}{2\sin^2x}}}\diff x\\
&=\left( \frac{x^2\arccos(\sqrt{2}\sin x)}{2}\right|_0^{\pi/4}+\frac{1}{2}\int_0^{\pi/4} \frac{x^2\left(\sqrt{2}\cos x\right)}{\sqrt{1-2\sin^2x}}\diff x\\
&=\frac{1}{2}\int_0^{\pi/2} \left(\arcsin\left(\frac{\sin \theta}{\sqrt{2}}\right)\right)^2 \ d \theta\\
\end{aligned}
$$
and since $\frac{\arcsin x}{\sqrt{1-x^2}}=\sum_{n=0}^{\infty} \frac{(2n)!!}{(2n+1)!!}x^{2n+1}$
Integrate both sides within the limit $0$ to $\frac{\sin \theta}{2}$
$$
\begin{aligned}
&\int_0^{\frac{\pi}{4}}{\,x}{\,\arctan\sqrt{\frac{\cos2x}{2\sin^2x}}}\diff x\\
&=\frac{1}{2}\int_0^{\pi/2} \left(\arcsin\left(\frac{\sin \theta}{\sqrt{2}}\right)\right)^2 \ d \theta\\
&=\frac{1}{2}\sum_{n=0}^{\infty} \frac{1}{2^{n+1}(n+1)}\frac{(2n)!!}{(2n+1)!!}\int_0^{\pi/2} \sin^{2n+2}\theta\,d\theta \\
&=\frac{1}{2}\sum_{n=0}^{\infty} \frac{1}{2^{n+1}(n+1)}\frac{(2n)!!}{(2n+1)!!}\frac{(2n+1)!! \pi}{2^{n+2}(n+1)!}\\
&=\frac{\pi}{8}\sum_{n=0}^{\infty}\frac{1}{2^{n+1}(n+1)^2} \quad, \text{since }(2n)\hyperref[sec:A note on notations (cit.)]{!!}=2^n n!\\
&=\frac{\pi}{8}\text{Li}_2\left(\frac{1}{2}\right) = \dfrac{\pi}{96}\left(\pi^2-6\ln^22\right)
\end{aligned}
$$
where $\text{Li}$ is \cite{Logarithmic_integral_function}.
\end{solution}

\subsection{Arctan (part 2)}
\label{subsec:arctan2-int}
$$\int_0^{\frac{\pi}{4}}{\,x}{\,\arctan\sqrt{\frac{2\sin^2x}{\cos2x}}}\diff x$$
\begin{solution}
Note that
$$
\begin{aligned}
\int_0^{\frac{\pi}{4}}{\,x}{\,\arctan\sqrt{\frac{2\sin^2x}{\cos2x}}}\diff x=&\int_0^{\pi/4} x\left(\frac{\pi}{2}-\arctan\sqrt{\frac{\cos 2x}{2\sin^2 x}}\right)\diff x \\ 
=&\frac{\pi^3}{64}-\int_0^{\frac{\pi}{4}}{\,x}{\,\arctan\sqrt{\frac{\cos2x}{2\sin^2x}}} \diff x
\end{aligned}
$$
which, by the previous solution, equals $\dfrac{\pi}{96}\left(\pi^2-6\ln^22 \right)$, hence
$$\int_0^{\frac{\pi}{4}}{\,x}{\,\arctan\sqrt{\frac{2\sin^2x}{\cos2x}}}\diff x = \frac{\pi^3}{64} - \dfrac{\pi}{96}\left(\pi^2-6\ln^22\right) = \dfrac{\pi}{192}\left(\pi^2+12\ln^2 2\right)$$
\end{solution}

\subsection{To binomials}
\label{subsec:binomials-int}
$$
\begin{aligned}
\int x^n \cdot e^x \diff x &= e^x \cdot \sum \limits_{k=0} ^ n (-1)^k \cdot \binom{n}{k} \cdot k! \cdot x^{n-k}
\end{aligned}
$$

\subsection{To factorial}
\label{subsec:factorial-int}
$$
\begin{aligned}
\int\limits_{0} ^ {+\infty} x^n \cdot e^{-x} \diff x = n!
\end{aligned}
$$

\section{$3^x+4^x+5^x=6^x$}
\label{sec:3x4x5x=6x}
Find the number of solutions of
$$3^x+4^x+5^x=6^x$$
\begin{solution}
Divide \hyperref[sec:A note on notations (cit.)]{\textit{LHS}} and  \hyperref[sec:A note on notations (cit.)]{\textit{RHS}} by $6^x$
$$\left( \frac{1}{2} \right) ^x + \left( \frac{2}{3} \right) ^x + \left( \frac{5}{6} \right) ^x = 1^x = 1$$
and let $f(x) = \left( \frac{1}{2} \right) ^x + \left( \frac{2}{3} \right) ^x + \left( \frac{5}{6} \right)$.
Note that $f(x)$ is \href{https://en.wikipedia.org/wiki/Monotonic_function}{Monotonic} and strictly decreasing $\forall x \in \mathbb{R}$. Besides, it's a continuous functions, so by \cite{Rolle_Theorem} there must be at most 1 solution. Since $f(0) = 3 > 1$ and $\lim_{x \to + \infty} f(x) = 0 ^+$, applying \cite{Intermediate_Value_Theorem} we note that $\exists x \in \mathbb{R} ^+ | f(x) = 1$: so there is \hyperref[sec:A note on notations (cit.)]{exactly} one solution!\\
Further calculations enable the readers conclude that such $x$ is 3.
\end{solution}

\section{Minimum logarithmic sum}
\label{sec:Minimum logarithmic sum}
Let $a,b,c \in \mathbb{R} | a,b,c, > 1$, find the minimum value of
$$\mathcal{S} = \log_a bc + \log_b ac + \log_c ab$$
\begin{solution}
$$
\begin{aligned}
\mathcal{S}&= \log_a b + \log_a c + \log_b a + \log_b c + \log_c a + \log_c b\\
&= \frac{\ln b}{\ln a} + \frac{\ln c}{\ln a} + \frac{\ln a}{\ln b} + \frac{\ln c}{\ln b} + \frac{\ln a}{\ln c} + \frac{\ln b}{\ln c}\\
\end{aligned}
$$
which, by setting $x = \frac{\ln a}{\ln b}, y = \frac{\ln b}{\ln c}$ and $z = \frac{\ln c}{\ln a}$
equals
$$\mathcal{S} = x + \frac{1}{x} + y + \frac{1}{y} + z + \frac{1}{z}$$
Now, since $\forall x \in \mathbb{R}, x + \frac{1}{x} \ge 2$, the minimum value turns out to be
$$\mathcal{S} \ge 2+2+2 = 6$$
\end{solution}

\section{To infinity and beyond! (cit.)}
\label{sec:To infinity and beyond! (cit.)}
Let
$$\begin{cases}
\mathcal{A}_x = \mathcal{A}_{x-1} ^2 + \mathcal{A}_{x-1} \quad, \forall x \in \mathbb{R} | \ge 2\\
\mathcal{A}_1 > 0
\end{cases}$$
prove $$\sum \limits_{k=2} ^n \frac{1}{1 + \mathcal{A}_k} < \frac{1}{\mathcal{A}_1}$$
\begin{proof}
Note that $$\frac{1}{\mathcal{A}_k} - \frac{1}{\mathcal{A}_{k+1}} = \frac{1}{\mathcal{A}_k} - \frac{1}{\mathcal{A}_k(1+\mathcal{A}_k)} = \frac{1 + \mathcal{A}_k - 1}{\mathcal{A}_k (1 + \mathcal{A}_k)} = \frac{1}{1 + \mathcal{A}_k}$$
So you have
$$\sum \limits_{k=2} ^n \frac{1}{1 + \mathcal{A}_k} = \frac{1}{1 + \mathcal{A}_1} + \frac{1}{1 + \mathcal{A}_2} + \frac{1}{1 + \mathcal{A}_3} + \ldots \frac{1}{1 + \mathcal{A}_n}$$
$$=\left( \frac{1}{\mathcal{A}_1} - \frac{1}{\mathcal{A}_2} \right) + \left( \frac{1}{\mathcal{A}_2} - \frac{1}{\mathcal{A}_3} \right) + \left( \frac{1}{\mathcal{A}_3} - \frac{1}{\mathcal{A}_4} \right) + \ldots + \left( \frac{1}{\mathcal{A}_{n-1}} - \frac{1}{\mathcal{A}_n} \right)$$
$$=\frac{1}{1 + \mathcal{A}_1} - \frac{1}{\mathcal{A}_n} < \frac{1}{\mathcal{A}_1}$$
\end{proof}

\section{Mobius function}
\label{sec:Mobius function}
Define a function in the natural numbers $\mathbb{N}$ as
$$\mu(n) =
\begin{cases}
1 \iff \text{ number of prime factors of } n \text{ is even}\\
-1 \iff \text{ number of prime factors of } n \text{ is odd}\\
0 \iff n \text{ is a multiple of a \cite{Square_Number}}\\
\end{cases}$$
So, the brave reader, facing some calculations will find a table like this one
$$\begin{array}{c|c}
n & f(n)\\
\hline
1 & 1\\
2 & -1\\
3 & -1\\
4 & 0\\
5 & -1\\
6 & 1\\
7 & -1\\
8 & 0\\
9 & 0\\
10 & 1\\
\ldots & \ldots
\end{array}$$
The open question is a little \textit{vast}: \textbf{how does $\mu(n)$ behave?}

\section{Sierpinski attack}
\label{sec:Sierpinski attack}
$$\exists n \in \mathbb{N}_0 | \forall k \in \mathbb{N}_0 | k = 2a-1 (\forall a \in \mathbb{N}_0), k \cdot 2^n + 1 \text{ not a prime}.$$
$$\text{Minimum }k?\quad 78557??$$
In other words, let $p = k \cdot 2^n + 1 \forall n \in \mathbb{N}_0, \forall k$ odd. Sierpinski proved that there are infinite $k$ such that, for all possible $n$, $p$ is not a prime number. But what's the lowest such $k$? A distributed attack on Sierpinski problem is being carried out now: join \cite{Primegrid}!

\section{Known \hyperref[sec:A note on notations (cit.)]{closed-form} formula?}
\label{sec:Known closed-form formula?}
$$f(x) = \sum \limits_{n=1} ^{+\infty} (-1)^{n+1} \cdot \frac{x}{n} \ln \left( 1 + \frac{x}{n} \right), x \hyperref[sec:A note on notations (cit.)]{\in ]0,1]}$$
The author has come to an approximation with average error 1.5084987787 and maximum error 6.9016346844.
$$\boxed{f(x) \approx \frac{x^{\sqrt3}}{\sqrt3+\frac1a}-\frac1b}, \quad a=16, b= 396$$
but if you have an answer or a better approximation, \href{http://math.stackexchange.com/questions/783768/closed-form-of-sum-n-1-infty-1n1-frac-xn-ln-left1-frac-xn-right}{post} it!

\section{Square or not square, that is the question (cit.)}
\label{sec:Square or not square, that is the question (cit.)}
$$2^x - 1 \text{ is not a multiple of a square } \forall x \in \mathbb{N}$$

\section{Kangourou Olympics Club Book}
\label{sec:Kangourou Olympics Club Book}
There are tons of books about mathematics at Olympics level: training books, revision books, review books, problem books $\ldots$ When I first read this one, I was left astonished: the book consists of many chapters with little theory/explanation part but \textit{many} problems, starting from easy ones and going until some Olympics-level problems. From all sections I picked up the best and most intriguing ones and posted here: read on!

\subsection{Satellites}
\label{subsec:satellites-kang}
37 point-shaped geostationary satellites are flying over a sphere-shaped planet. \textbf{Prove that in any time there is a point on the planet where you can see at most 17 satellites}

\subsection{All the same}
\label{subsec:all-the-same-kang}
Real numbers $x_1, x_2, \ldots, x_{101}$ are such that
$$x_1^3 + x_2 = x_2^3 + x_3 = \ldots x_{100}^3 + x_{101} = x_{101}^3 +x_1$$
\textbf{Prove that these numbers are all the same}.

\subsection{Sum of products}
\label{subsec:sum-of-products-kang}
8 real positive numbers such that their sum equals 1 are on a cube vertices. For each side you multiply the numbers you find at its endings. \textbf{Prove that the sum of the products is less than $\frac{1}{4}$}

\subsection{Minimum}
\label{subsec:minimum-kang}
\textbf{Find the least number of the form $\left | 6^{2m} - 5^{n} \right |$ where $m,n$ are positive integers.}

\subsection{Stars}
\label{subsec:stars-kang}
Looking at 50 stars in the sky you notice that the sum of the distance from each other star is $S$; a deep cloud hides 25 stars: \textbf{prove that the sum of their reciprocal distance is less than $\frac{S}{2}$}

\subsection{1998 consecutive numbers}
\label{subsec:1998-consecutive-numbers-kang}
\textbf{Are there 1998 consecutive natural numbers such that their sum is a perfect cube?}

\subsection{Infinite roof}
\label{subsec:infinite-roof-kang}
You're building a roof with bricks in the following way: under $\frac{1}{2}$ of the first brick, you place the second brick; the third one under $\frac{3}{4}$ of the second; the third one under $\frac{7}{8}$ of the third and so on. \textbf{Prove that the roof length can be infinite}

\subsection{Country maps}
\label{subsec:country-maps-kang}
2 maps of the same country are placed one of top the other: \textbf{prove that there is at least one point of the first map that is placed exactly on its representation of the second map}
